
Summary: Utility to ping multiple hosts at once
Name: fping
Version: 5.2
Release: 1%{?dist}
License: BSD-4.3TAHOE
Group: Applications/Internet
URL: https://www.fping.org/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://www.fping.org/dist/%{name}-%{version}.tar.gz
# patches >= 100 are / will be fixed in SCM
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
fping is a ping like program which uses the Internet Control Message
Protocol (ICMP) echo request to determine if a target host is
responding. fping differs from ping in that you can specify any
number of targets on the command line, or specify a file containing
the lists of targets to ping. Instead of sending to one target until
it times out or replies, fping will send out a ping packet and move
on to the next target in a round-robin fashion.

%prep
%setup -q

%build
%configure
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.md COPYING README.md doc/CHANGELOG.pre-v4 doc/README.1992
%if 0%{?no_capnetraw}
%attr(4755,root,root) %{_sbindir}/%{name}
%else
%attr(0755,root,root) %caps(cap_net_raw=ep) %{_sbindir}/%{name}
%endif
%{_mandir}/man8/%{name}.8*

%changelog
* Mon Apr 22 2024 Simon Matter <simon.matter@invoca.ch> 5.2-1
- upgrade to 5.2

* Fri Aug 05 2022 Simon Matter <simon.matter@invoca.ch> 5.1-2
- on EL > 5 use capabilities to replace SUID binaries

* Mon Feb 07 2022 Simon Matter <simon.matter@invoca.ch> 5.1-1
- upgrade to 5.1

* Tue Dec 29 2020 Simon Matter <simon.matter@invoca.ch> 5.0-2
- add missing vendor tags

* Thu Aug 06 2020 Simon Matter <simon.matter@invoca.ch> 5.0-1
- upgrade to 5.0

* Mon Jul 27 2020 Simon Matter <simon.matter@invoca.ch> 4.4-1
- upgrade to 4.4

* Mon Jul 13 2020 Simon Matter <simon.matter@invoca.ch> 4.3-1
- upgrade to 4.3

* Mon May 04 2020 Simon Matter <simon.matter@invoca.ch> 4.2-2
- add patch to fix build on GCC 10

* Wed Feb 20 2019 Simon Matter <simon.matter@invoca.ch> 4.2-1
- upgrade to 4.2

* Wed Sep 19 2018 Simon Matter <simon.matter@invoca.ch> 4.1-1
- upgrade to 4.1

* Mon May 28 2018 Simon Matter <simon.matter@invoca.ch> 4.0-5
- add current upstream patches

* Thu Feb 22 2018 Simon Matter <simon.matter@invoca.ch> 4.0-4
- replace ipv6_disabled_socket_error patch by upstream patch
- add current upstream patches

* Thu Jan 04 2018 Simon Matter <simon.matter@invoca.ch> 4.0-3
- add ipv6_disabled_socket_error patch

* Wed Nov 22 2017 Simon Matter <simon.matter@invoca.ch> 4.0-2
- add backports patch

* Mon Apr 24 2017 Simon Matter <simon.matter@invoca.ch> 4.0-1
- upgrade to 4.0

* Fri Feb 10 2017 Simon Matter <simon.matter@invoca.ch> 3.16-1
- upgrade to 3.16

* Thu Jan 12 2017 Simon Matter <simon.matter@invoca.ch> 3.15-1
- upgrade to 3.15

* Wed Jan 11 2017 Simon Matter <simon.matter@invoca.ch> 3.14-1
- upgrade to 3.14

* Thu Oct 22 2015 Simon Matter <simon.matter@invoca.ch> 3.13-1
- upgrade to 3.13

* Thu Oct 15 2015 Simon Matter <simon.matter@invoca.ch> 3.12-1
- upgrade to 3.12

* Mon May 05 2014 Simon Matter <simon.matter@invoca.ch> 3.10-1
- upgrade to 3.10

* Mon Mar 10 2014 Simon Matter <simon.matter@invoca.ch> 3.9-1
- upgrade to 3.9

* Sat Nov 09 2013 Simon Matter <simon.matter@invoca.ch> 3.8-1
- upgrade to 3.8

* Tue Nov 05 2013 Simon Matter <simon.matter@invoca.ch> 3.7-1
- upgrade to 3.7

* Sat Oct 12 2013 Simon Matter <simon.matter@invoca.ch> 3.6-1
- upgrade to 3.6

* Thu May 23 2013 Simon Matter <simon.matter@invoca.ch> 3.5-1
- upgrade to 3.5

* Thu Sep 06 2012 Simon Matter <simon.matter@invoca.ch> 3.4-1
- upgrade to 3.4

* Wed May 30 2012 Simon Matter <simon.matter@invoca.ch> 3.2-1
- upgrade to 3.2

* Sat Apr 28 2012 Simon Matter <simon.matter@invoca.ch> 3.1-1
- upgrade to 3.1

* Thu Jan 05 2012 Simon Matter <simon.matter@invoca.ch> 2.4b2-3
- update debian patches to 16.1

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 2.4b2-2
- mass rebuild

* Tue Jan 06 2009 Simon Matter <simon.matter@invoca.ch> 2.4b2-1
- initial build
